<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package SKT Autocar
 */
?>
<div id="supportinfo">
    <div class="container suprt">
       <div class="suprt_box">
          <?php if ( get_theme_mod('contact_no') !== "") { ?>      
             <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/support-phone.png" alt="" /> 
             <h5><?php esc_attr_e('24x7 support','skt-autocar'); ?> <span><?php echo esc_attr_e( get_theme_mod( 'contact_no', __('315-277-3623','skt-autocar'))); ?></span></h5>
          <?php } ?>
       </div>
       <div class="suprt_box">       
         <?php if( get_theme_mod('contact_mail') !== ""){ ?>
             <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/support-email.png" alt="" />
             <h5><?php esc_attr_e('Email Address','skt-autocar'); ?> <span><a href="mailto:<?php echo sanitize_email(get_theme_mod('contact_mail','contact@company.com')); ?>">
			    <?php echo get_theme_mod('contact_mail','contact@company.com'); ?>
             </a></span></h5>			
		 <?php } ?>        
       </div>
       <div class="suprt_box last_column">
        <?php if ( get_theme_mod( 'opening_hours' ) !== "" ){  ?>
         	<img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/support-time.png" alt="" />
            <h5><?php esc_attr_e('Opening Hours','skt-autocar'); ?> <span><?php echo esc_attr_e( get_theme_mod( 'opening_hours', __('Mon - Fri 8am to 6pm','skt-autocar'))); ?></span></h5>              
		 <?php } ?>        
       </div>
       
       <div class="clear"></div>
    </div><!--end container--> 
</div><!--end #supportinfo--> 
<div id="footer-wrapper">
    	<div class="container footer">
        
        	<div class="cols-4 widget-column-1">             
              <?php if ( get_theme_mod('footermenu_title') !== "") { ?>
                <h5><?php echo esc_attr_e( get_theme_mod( 'footermenu_title', __('Main Menu','skt-autocar'))); ?></h5>             
			   <?php } ?>               
              <?php wp_nav_menu( array('theme_location' => 'footer') ); ?>         
            </div><!--end .widget-column-1--> 
        
             <div class="cols-4 widget-column-2">             
              <?php if ( get_theme_mod('about_title') !== "") { ?>
                <h5><?php echo esc_attr_e( get_theme_mod( 'about_title', __('About Us','skt-autocar'))); ?></h5>             
			   <?php } ?>
               
                <?php if ( get_theme_mod('about_description') !== "") { ?>
                <p><?php echo html_entity_decode(esc_attr( get_theme_mod( 'about_description', __('Sed suscipit etisds sit proin efficitur nibh euismod. Proindes venenatis orcfrdeesi sitmauris nec mauris vulputate, a posuere libero congue. Nam laoreet elit. <br /> <br /> Sed suscipit mauris nec mauris vulputate, a posuere libero congue. Nam laoreet elit eu erat pulvinar, et efficitur nibh euismod. Proin venenatis orci sit amet nisl finibus.','skt-autocar')))); ?></p>
			   <?php } ?>         
            </div><!--end .widget-column-2-->                  
			    
                      
            <div class="cols-4 widget-column-3">                 
                <?php if ( get_theme_mod('newsfeed_title') !== "") { ?>
                <h5><?php echo esc_attr_e( get_theme_mod( 'newsfeed_title', __('Latest News','skt-autocar'))); ?></h5>            
			  <?php } ?>  
              
              <?php $args = array( 'posts_per_page' => 3, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
					$postquery = new WP_Query( $args );
					?>
                    <?php while( $postquery->have_posts() ) : $postquery->the_post(); ?>
                        <div class="recent-post">
                            <h6><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title(); ?></a></h6>                          	
                            <p><?php echo skt_autocar_content(13); ?></p>                                                                          
                        </div>
                    <?php endwhile; ?>
                    <?php wp_reset_postdata(); ?>                    
				
              </div><!--end .widget-column-3-->
                
             <div class="cols-4 widget-column-4">                              
               <?php if ( get_theme_mod( 'contact_title' ) !== "" ){  ?>
                <h5><?php echo esc_attr_e( get_theme_mod( 'contact_title', __('Contact Info','skt-autocar'))); ?></h5>              
			   <?php } ?>
                <div class="phone-no">	                
               <?php if ( get_theme_mod('contact_add') !== "") { ?>
                <p><img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/location-icon.png" alt="" /><?php echo esc_attr_e( get_theme_mod( 'contact_add', __('100 King St, Melbourne PIC 4000, Australia','skt-autocar'))); ?></p>             
			   <?php } ?>                
              
              <?php if ( get_theme_mod('contact_no') !== "") { ?>
                <p> <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/footer-icon-phone.png" alt="" /> <?php echo esc_attr_e( get_theme_mod( 'contact_no', __('+91 987 654 3210','skt-autocar'))); ?></p>              
			   <?php } ?>  
              
                         
               <?php if( get_theme_mod('contact_mail') !== ""){ ?>
              <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/footer-icon-email.png" alt="" /><a href="mailto:<?php echo sanitize_email(get_theme_mod('contact_mail','contact@company.com')); ?>"><?php echo get_theme_mod('contact_mail','contact@company.com'); ?></a>			
			  <?php } ?>                             
               </div>
               
               <div class="social-icons">
					<?php if ( get_theme_mod('fb_link') !== "") { ?>
                    <a title="facebook" class="fb" target="_blank" href="<?php echo esc_url(get_theme_mod('fb_link','#facebook')); ?>"></a> 
                    <?php } ?>                   
                    
                    <?php if ( get_theme_mod('twitt_link') !== "") { ?>
                    <a title="twitter" class="tw" target="_blank" href="<?php echo esc_url(get_theme_mod('twitt_link','#twitter')); ?>"></a>
                    <?php } ?>                 
                    
                    <?php if ( get_theme_mod('gplus_link') !== "") { ?>
                    <a title="google-plus" class="gp" target="_blank" href="<?php echo esc_url(get_theme_mod('gplus_link','#gplus')); ?>"></a>
                    <?php } ?>                    
                    
                    <?php if ( get_theme_mod('linked_link') !== "") { ?> 
                    <a title="linkedin" class="in" target="_blank" href="<?php echo esc_url(get_theme_mod('linked_link','#linkedin')); ?>"></a>
                    <?php } ?>                   
               </div>      
               
          </div><!--end .widget-column-4-->
                
                
            <div class="clear"></div>
        </div><!--end .container--> 
        
         <div class="copyright-wrapper">
        	<div class="container">           		
            	 <div class="design-by"><?php echo skt_autocar_credit(); ?></div>
                 <div class="clear"></div>
            </div>           
        </div>
               
    </div><!--end .footer-wrapper-->
<?php wp_footer(); ?>

</body>
</html>