<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div class="container">
 *
 * @package SKT Autocar
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div class="header-top">
			<div class="container">
            	<div class="header-left">                
                	<?php if ( ! dynamic_sidebar( 'header-left-widget' ) ) : ?>   
                        
					<?php if ( get_theme_mod('repair_link') !== "") { ?>         
                       <a href="<?php echo esc_url(get_theme_mod('repair_link','#')); ?>"><?php esc_attr_e('One destination for all Auto Repair Needs!','skt-autocar'); ?></a>                    <?php } ?>
                       
                    <?php if ( get_theme_mod('quote_link') !== "") { ?>         
                       <span><a href="<?php echo esc_url(get_theme_mod('quote_link','#')); ?>"><?php esc_attr_e('Request a Quote Now &rarr;','skt-autocar'); ?></a></span>                    <?php } ?>  
                                       
				    
                              
    				<?php endif; // end sidebar widget area ?>					
                </div>
            
            	<div class="header-right">   
					<?php if ( get_theme_mod('contact_no') !== "") { ?>      
                        <span class="phoneno"><img style="margin:0 5px -1px 0;" src="<?php echo esc_url(get_template_directory_uri()); ?>/images/icon-phone.png" alt="" /> 
                        <?php esc_attr_e('NEED HELP? &nbsp; CONTACT US! ','skt-autocar'); ?> &nbsp; <strong><?php echo esc_attr_e( get_theme_mod( 'contact_no', __('+91 987 654 3210','skt-autocar'))); ?></strong></span>
                    <?php } ?>
                </div>
                <div class="clear"></div>
            </div>
</div><!--.headertop-->  

<div class="header">
  <div class="container">
   <div class="logo">  
      <?php skt_autocar_the_custom_logo(); ?>   
      <a href="<?php echo home_url('/'); ?>">
		<h1><?php bloginfo('name'); ?></h1>
        <p><?php bloginfo('description'); ?></p>      
      </a>    
   </div><!-- logo -->
    
    
<div class="widget-right">
	<div class="toggle"><a class="toggleMenu" href="#"><?php esc_attr_e('Menu','skt-autocar'); ?></a></div> 
        <div class="sitenav">
          <?php wp_nav_menu( array('theme_location' => 'primary') ); ?>         
        </div><!-- .sitenav--> 
        <div class="clear"></div> 
</div><!--.widget-right-->
 <div class="clear"></div>
         
  </div> <!-- container -->
</div><!--.header -->
<?php if ( is_front_page() || is_home() ) { ?>
<?php if( get_theme_mod( 'hide_slides' ) == '') { ?>
<!-- Slider Section -->
<?php for($sld=7; $sld<10; $sld++) { ?>
	<?php if( get_theme_mod('page-setting'.$sld)) { ?>
     <?php $slidequery = new WP_query('page_id='.get_theme_mod('page-setting'.$sld,true)); ?>
		<?php while( $slidequery->have_posts() ) : $slidequery->the_post();
        $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));
        $img_arr[] = $image;
        $id_arr[] = $post->ID;
        endwhile;
  	  }
    }
?>
<?php if(!empty($id_arr)){ ?>
<section id="home_slider">
  <div class="slider-wrapper theme-default">
    <div id="slider" class="nivoSlider">
      <?php 
	$i=1;
	foreach($img_arr as $url){ ?>
      <img src="<?php echo $url; ?>" title="#slidecaption<?php echo $i; ?>" />
      <?php $i++; }  ?>
    </div>
		<?php 
        $i=1;
        foreach($id_arr as $id){ 
        $title = get_the_title( $id ); 
        $post = get_post($id); 
        $content = apply_filters('the_content', substr(strip_tags($post->post_content), 0, 100)); 
        ?>
    <div id="slidecaption<?php echo $i; ?>" class="nivo-html-caption">
      <div class="slide_info">
        <h2><?php echo $title; ?></h2>
        <p><?php echo $content; ?></p>
        <div class="clear"></div>
        <a class="slide_more" href="<?php the_permalink(); ?>">
          <?php esc_attr_e('Learn More', 'skt-autocar');?>
          </a>
      </div>
    </div>
    <?php $i++; } ?>
  </div>
  <div class="clear"></div>
</section>
<?php } else { ?>
<section id="home_slider">
  <div class="slider-wrapper theme-default">
    <div id="slider" class="nivoSlider"> <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/slides/slider1.jpg" alt="" title="#slidecaption1" /> <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/slides/slider2.jpg" alt="" title="#slidecaption2" /> <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/slides/slider3.jpg" alt="" title="#slidecaption3" /> </div>
    <div id="slidecaption1" class="nivo-html-caption">
      <div class="slide_info">
        <h2>
          <?php esc_html_e('you can entrust your car to us', 'skt-autocar');?>
        </h2>
        <p> <?php esc_html_e('Phasellus consequat nulla et nunc aliquam ultricies. Suspendisse suscipit sodales diam, sit amet placerat arcu sodales a. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi sit amet elit diam. Cras sit amet augue porta, rhoncus metus vitae, sagittis magna.', 'skt-autocar');?></p>
        
        <a class="slide_more" href="#">
          <?php esc_attr_e('Learn More', 'skt-autocar');?>
         </a>
      </div>
    </div>
    <div id="slidecaption2" class="nivo-html-caption">
      <div class="slide_info">
        <h2>
          <?php esc_html_e('you can entrust your car to us', 'skt-autocar'); ?>
        </h2>
         <p> <?php esc_html_e('Phasellus consequat nulla et nunc aliquam ultricies. Suspendisse suscipit sodales diam, sit amet placerat arcu sodales a. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi sit amet elit diam. Cras sit amet augue porta, rhoncus metus vitae, sagittis magna.', 'skt-autocar');?></p>
         <a class="slide_more" href="#">
          <?php esc_attr_e('Learn More', 'skt-autocar');?>
         </a>
      </div>
    </div>
    <div id="slidecaption3" class="nivo-html-caption">
      <div class="slide_info">
        <h2>
          <?php esc_html_e('you can entrust your car to us', 'skt-autocar');?>
        </h2>
         <p> <?php esc_html_e('Phasellus consequat nulla et nunc aliquam ultricies. Suspendisse suscipit sodales diam, sit amet placerat arcu sodales a. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi sit amet elit diam. Cras sit amet augue porta, rhoncus metus vitae, sagittis magna.', 'skt-autocar');?></p>
         <a class="slide_more" href="#">
          <?php esc_attr_e('Learn More', 'skt-autocar');?>
         </a>
      </div>
    </div>
  </div>
  <div class="clear"></div>
</section><!-- Slider Section -->
<?php } } } ?>

<?php if ( is_front_page() || is_home() ) { ?>
<?php if( get_theme_mod( 'hide_pagethreeboxes' ) == '') { ?>
<section id="pagearea">
  <div class="container"> 
  
     <div class="pageleft">
     
       <?php for($p=1; $p<4; $p++) { ?>
      <?php if( get_theme_mod('page-column'.$p,false)) { ?>
      <?php $queryxxx = new WP_query('page_id='.get_theme_mod('page-column'.$p,true)); ?>
      <?php while( $queryxxx->have_posts() ) : $queryxxx->the_post(); ?>
      <div class="threebox <?php if($p % 4 == 0) { echo "last_column"; } ?>">     	
		 <?php if( has_post_thumbnail() ) { ?>
			<div class="thumbbx"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_post_thumbnail();?></a> </div>            
          <?php } ?> 
          <div class="pagebx-dec"> 
           <h3><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title(); ?></a></h3>        
		   <?php echo skt_autocar_content(15); ?>
         
          </div>
      </div>
      <?php endwhile;
       wp_reset_query(); ?>
      <?php } else { ?>
      <div class="threebox <?php if($p % 4 == 0) { echo "last_column"; } ?>">     
      <div class="thumbbx"><a href="#"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/page-image-<?php echo $p; ?>.png" alt="" /></a></div>
      <div class="pagebx-dec"> 
      <h3><a href="#"> <?php esc_attr_e('Car Services','skt-autocar'); ?> <?php echo $p; ?></a></h3>
        <p><?php esc_attr_e('Cras aliquet, tellus a dignissim aliquam, nibh erat vulputate justo, in posuere tortor mi a nisi. Quisque orci dolor.','skt-autocar'); ?></p> 
      </div>   
    </div>
  <?php }} ?>
  <div class="clear"></div> 
       
    </div><!--.end page left--> 
    
    <div class="pageright">   
  
  <?php if( get_theme_mod('page-setting1')) { ?>
      <?php $queryvar = new WP_query('page_id='.get_theme_mod('page-setting1' ,true)); ?>
      <?php while( $queryvar->have_posts() ) : $queryvar->the_post();?>
     
      <h2>
        <?php the_title(); ?>
      </h2>      
      <p><?php echo skt_autocar_content(60); ?></p> 
       <a href="<?php echo esc_url( get_permalink() ); ?>" class="PageMore">
        <?php esc_attr_e('What Clients Said','skt-autocar'); ?>
      </a>       
      <div class="clear"></div>
      <?php endwhile; } else { ?>     
      <h2>
        <?php _e('Why Choose Us? <span>for many reasons</span>','skt-autocar'); ?>
      </h2>
       <p><?php esc_html_e('Phasellus non tempus augue. Duis sodales turpis ac aliquam varius. Nullam pharetra ante tempor erat aliquet, vitae tempus diam scelerisque. Donec luctus nibh sed arcu convallis accumsan ipsum dolor . Donec iaculis leo eu nunc commodo interdum. Duis ut sapien in enim blandit feugiat. Sed ac tortor iaculis, euismod tellus a, faucibus urna. Nam ac quam mauris.', 'skt-autocar');?></p>
         
         <p><?php esc_html_e('Proin scelerisque felis quam, a venenatis magna vestibulum at. Praesent sollicitudin nibh diam, eget commodo tellus tempor egestas. Ut sed tincidunt purus. Aliquam accumsan ipsum dolor, tincidunt hendrerit nunc maximus et. Sed condimentum iaculis semper. Proin semper tellus in neque ultrices convallis. Mauris feugiat quam sit amet turpis aliquet, non venenatis dolor volutpat. Donec iaculis leo eu nunc commodo interdum. Duis ut sapien in enim blandit feugiat Suspendisse hendrerit lobortis sapien, in finibus lacus ullamcorper vel. Donec non ligula vitae tincidunt hendrerit nunc maximus et libero malesuada fermentum. Integer et neque accumsan, consectetur urna in, commodo massa. Vivamus quam ex, aliquet ut ullamcorper eu, euismod a turpis. ', 'skt-autocar');?></p>
      <a href="#" class="PageMore">
        <?php esc_attr_e('What Clients Said','skt-autocar'); ?>
      </a>    
      <?php } ?>
  
  </div><!-- .end page right-->
  <div class="clear"></div> 
  </div><!-- container -->
</section><!-- #pagearea -->
<?php } } ?>